package com.sample;

import android.content.BroadcastReceiver;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.util.Log;
import android.widget.Toast;

import com.sample.PluginConstants.ServiceIntentCmd;

public class EventStreamListener extends BroadcastReceiver {

	@Override
	public void onReceive(Context context, Intent intent) {
		Toast.makeText(context, "onReceive", Toast.LENGTH_SHORT).show();

		String action = intent.getAction();
		Intent serviceIntent = new Intent();
		serviceIntent.setComponent(new ComponentName(context, SampleService.class));

		if (("com.sonyericsson.eventstream.REFRESH_REQUEST").equals(action)) {
			// リスト2の処理を呼び出す
			serviceIntent.putExtra(ServiceIntentCmd.SERVICE_COMMAND_KEY, ServiceIntentCmd.REFRESH_REQUEST);
			context.startService(serviceIntent);
		} else if (("com.sonyericsson.eventstream.REGISTER_PLUGINS").equals(action)) {
			// リスト2の処理を呼び出す
			serviceIntent.putExtra(ServiceIntentCmd.SERVICE_COMMAND_KEY, ServiceIntentCmd.REGISTER_PLUGIN);
			context.startService(serviceIntent);
		} else if (("com.sonyericsson.eventstream.VIEW_EVENT_DETAIL").equals(action)) {
			Toast.makeText(context, "VIEW_EVENT_DETAIL", Toast.LENGTH_SHORT).show();
			
	        Bundle extras = intent.getExtras();
	        if (extras != null) {
	            String eventKey = extras.getString("event_key");
	            Toast.makeText(context, "eventKey="+eventKey, Toast.LENGTH_SHORT).show();
	            if (eventKey != null ) {
	                String url = "http://cyberspacefarm.com";
	                // ここは「ContentProviderを使って、eventKeyからURLを取得する」処理を記述する
	                // サンプルのため固定文字列にしてある
	                
	                if (url != null) {
	                    Intent webViewIntent = new Intent(Intent.ACTION_VIEW, Uri.parse(url));
	                    webViewIntent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
	                    context.startActivity(webViewIntent);
	                }
	            }
	        }
		}

	}

}
